@import url('https://fonts.googleapis.com/css2?family=Red+Hat+Display:wght@500;700;900&display=swap');


:root{
  --pale-blue: hsl(225, 100%, 94%);
 --bright-blue: hsl(245, 75%, 52%);

 --very-pale-blue: hsl(225, 100%, 98%);
 --desaturated-blue: hsl(224, 23%, 55%);
 --dark-blue: hsl(223, 47%, 23%);

 --fw-regular:500;
 --fw-bold:700;
 --fw-extra:900
}

/*
  1. Use a more-intuitive box-sizing model.
*/
*, *::before, *::after {
  box-sizing: border-box;
}
/*
  2. Remove default margin
*/
* {
  margin: 0;
  padding: 0;
}
/*
  Typographic tweaks!
  3. Add accessible line-height
  4. Improve text rendering
*/
body {
  line-height: 1.5;
  font-family: 'Red Hat Display', sans-serif;
  -webkit-font-smoothing: antialiased;
}
/*
  5. Improve media defaults
*/
img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}
/*
  6. Remove built-in form typography styles
*/
input, button, textarea, select {
  font: inherit;
}
/*
  7. Avoid text overflows
*/
p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
}

body{
  background-color: var(--pale-blue);
  background-image: url(images/pattern-background-desktop.svg);
  background-repeat: no-repeat;
  background-size: 100%;
  background-position-y:-23% ;
  height: 100vh;
  display: grid;
  place-content: center;
  margin: 0 1rem;
}
@media(max-width:776px){
  body{
    background-image: url(images/pattern-background-mobile.svg);
  }
}

.card{
  background-color: white;
  text-align: center;
  border-radius: 12px;
  overflow: hidden;
  max-width: 400px;
  box-shadow: 0 15px 25px 0px rgb(0 0 0 / 15%);
}
.card .card__content{
  padding: 2.5rem;
  display: grid;
}
.card .card__content h1{
  font-size: 1.5rem;
  font-family: var(--fw-extra);
  margin: 1rem 0;
  color: var(--dark-blue);
}
.card .card__content>p:first-of-type{
  color: var(--desaturated-blue);
  padding: 0 1rem;
}

.card .card__content .card__song{
  background-color: var(--very-pale-blue);
  border-radius: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 1rem 0;
  padding: 1rem 1rem;
}
.card .card__content .card__song .song__info{
  display: flex;
  gap: 20px;
}
.card .card__content .card__song .song__info p:first-child{
  color: var(--dark-blue);
  font-weight: var(--fw-bold);
}
.card .card__content .card__song .song__info p:last-child{
  color: var(--desaturated-blue);
  
}
.card .card__song a{
  color: var(--bright-blue);
  font-weight: var(--fw-bold);
}
.card .card__song a:hover{
  color:  hsl(244.9, 74.6%, 61.4%);
  text-decoration: none;
}

.card .card__content button{
  padding: .7rem 1rem  ;
  border: none;
  border-radius: 15px;
  background-color: var(--bright-blue);
  color: white;
  font-weight: var(--fw-extra);
  word-spacing: 2px;
  margin-bottom: 2rem;
  cursor: pointer;
  box-shadow: 0px 15px 20px 6px rgb(95 83 230 / 25%);
}
.card .card__content button:hover{
  background-color: hsl(244.9, 74.6%, 61.4%);
}
.card .card__content>p:last-child{
  color: var(--desaturated-blue);
  font-weight: var(--fw-extra);
  margin-bottom: 1rem;
  cursor: pointer;
}
.card .card__content>p:hover:last-child{
  color: var(--dark-blue);
}